---
title: 'SpeechRecognition: audioend event'
slug: Web/API/SpeechRecognition/audioend_event
tags:
  - Event
  - Reference
  - Web Speech API
---
<div>{{APIRef("Web Speech API")}}{{SeeCompatTable}}</div>

<div>
<p>The <code><strong>audioend</strong></code> event of the <a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a> is fired when the user agent has finished capturing audio for speech recognition.</p>
</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler</th>
   <td><code><a href="/en-US/docs/Web/API/SpeechRecognition/onaudioend">onaudioend</a></code></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>You can use the <code>audioend</code> event in an <code><a href="/en-US/docs/Web/API/EventTarget/addEventListener">addEventListener</a></code> method:</p>

<pre class="brush: js">var recognition = new webkitSpeechRecognition() || new SpeechRecognition();

recognition.addEventListener('audioend', function() {
  console.log('Audio capturing ended');
});</pre>

<p>Or use the <a href="/en-US/docs/Web/API/SpeechRecognition/onaudioend">onaudioend</a> event handler property:</p>

<pre class="brush: js">recognition.onaudioend = function() {
  console.log('Audio capturing ended');
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Speech API', '#speechreco-events', 'speech recognition events')}}</td>
   <td>{{Spec2('Web Speech API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SpeechRecognition.audioend_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a></li>
 <li><code><a href="/en-US/docs/Web/API/SpeechRecognition/onaudioend">onaudioend</a></code> event handler</li>
</ul>
